sphinx (8.2.3-12) unstable; urgency=medium

  * Team upload.
  * Use new package name for roman-numerals (closes: #1123782).

 -- Colin Watson <cjwatson@debian.org>  Tue, 23 Dec 2025 11:28:26 +0000

sphinx (8.2.3-11) unstable; urgency=medium

  * Depend on libgvplugin-neato-layout and libgvplugin-pango for the tests
    (closes: #1122119, thanks László Böszörményi).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 07 Dec 2025 20:20:57 +0300

sphinx (8.2.3-10) unstable; urgency=medium

  * Backport upstream commits to fix tests with Python 3.14 (LP: #2133023).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 26 Nov 2025 20:54:23 +0300

sphinx (8.2.3-9) unstable; urgency=medium

  * Backport upstream patch to fix PDF build of French documents with
    footnotes (closes: #1114478).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 15 Nov 2025 15:07:35 +0300

sphinx (8.2.3-8) unstable; urgency=medium

  * Add a patch to bump docutils upper limit to 0.23 (closes: #1118469).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 20 Oct 2025 23:14:17 +0300

sphinx (8.2.3-7) unstable; urgency=medium

  * Add a patch to make the tests pass with Docutils ≥ 0.22.1.
  * Drop ‘Rules-Requires-Root: no’, it became default in dpkg 1.22.13.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 01 Oct 2025 21:15:17 +0300

sphinx (8.2.3-6) unstable; urgency=medium

  * Remove the old compatibility symlinks again.
  * Make dh_sphinxdoc ignore legacy dependencies if they do not exist.
  * Remove no longer needed Lintian overrides.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 06 Sep 2025 16:56:11 +0300

sphinx (8.2.3-5) unstable; urgency=medium

  * Team upload.
  * Temporarily revert the removal of jQuery from 8.2.3

 -- Alexandre Detiste <tchet@debian.org>  Sat, 06 Sep 2025 09:59:59 +0200

sphinx (8.2.3-4) unstable; urgency=medium

  * Remove jquery.js and underscore.js compatibility symlinks completely
    (closes: #1114037).
  * Amend remove_contrib_references.diff: try to load first-party extensions,
    but ignore errors (closes: #1112319, thanks Erin of Yukis).
  * Drop obsolete Breaks, Replaces and Conflicts.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 05 Sep 2025 22:20:42 +0300

sphinx (8.2.3-3) unstable; urgency=medium

  * Team Upload
  * Usage of jQuery was dropped since sphinx 6.0
    * Remove libjs-jquery & libjs-underscore from Build-Depends:
    * libjs-sphinxdoc: lessen the priority of these libraries referenced
                       by compatibility symlinks from Depends: to Recommends:

 -- Alexandre Detiste <tchet@debian.org>  Fri, 05 Sep 2025 17:02:16 +0200

sphinx (8.2.3-2) unstable; urgency=medium

  * Backport upstream patch to make the tests pass with Docutils 0.22.
  * Break python3-sphinx-autodoc-typehints < 3.1.0.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 27 Aug 2025 12:05:30 +0300

sphinx (8.2.3-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches:
    - fix_test_format_date_timezone.diff (included in the new release)
    - source_date_epoch.diff (included in the new release)
    - broken_argparse.diff (was needed only for Python 3.13.0)
  * Refresh other patches.
  * Bump required flit version to 3.11 (per pyproject.toml).
  * Build-depend on python3-roman-numerals.
  * Bump required version for searchtools.js in debian/dh-sphinxdoc/index.
  * Update debian/copyright.
  * Adapt package_dir replacement code in debian/rules to the new version.
  * Update numbers in debian/jstest/run-tests.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 09 Apr 2025 22:54:46 +0300

sphinx (8.1.3-5) unstable; urgency=medium

  * Switch from MathJax 2 to MathJax 3.
  * Sort Build-Depends with wrap-and-sort from devscripts ≥ 2.24.8.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 31 Jan 2025 13:28:15 +0300

sphinx (8.1.3-4) unstable; urgency=medium

  * No-change reupload with 2025 in changelog (closes: #1091951).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 07 Jan 2025 23:53:26 +0300

sphinx (8.1.3-3) unstable; urgency=medium

  * Do not perform any timezone conversions if SOURCE_DATE_EPOCH is set
    (closes: #1090724).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 22 Dec 2024 19:51:52 +0300

sphinx (8.1.3-2) unstable; urgency=medium

  * Switch from imagemagick-6.q16 to unversioned imagemagick.
  * Move dh-python and pybuild-plugin-pyproject from Build-Depends-Indep
    to Build-Depends, as they are needed for source build.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 11 Dec 2024 13:50:42 +0300

sphinx (8.1.3-1) experimental; urgency=medium

  * New upstream release.
  * Drop deterministic_toctree.diff, included in the new release.
  * Refresh and rebase other patches.
  * Bump required version for searchtools.js in debian/dh-sphinxdoc/index.
  * Update numbers in debian/jstest/run-tests.
  * Make blhc ignore "compiling catalogue" lines.
  * Add a patch to fix failure in test_format_date_timezone().
  * Add a patch to update broken_argparse check for Debian.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 17 Nov 2024 14:13:18 +0300

sphinx (7.4.7-4) unstable; urgency=medium

  * Backport upstream patch to ensure deterministic resolution of toctree
    (closes: #1050693).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 Oct 2024 21:53:47 +0300

sphinx (7.4.7-3) unstable; urgency=medium

  * Team Upload
  * Remove Build-Depends: and Suggests: on deprecated python3-lib2to3.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 23 Aug 2024 08:32:51 +0200

sphinx (7.4.7-2) unstable; urgency=medium

  * Merge 7.3.7-4 upload from unstable.
  * Drop docutils_manpage_macros.diff, no longer needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 05 Aug 2024 15:08:07 +0300

sphinx (7.4.7-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - python_3.12.4.diff
    - data_uris.diff
  * Refresh and rebase other patches.
  * Bump dependency versions according to pyproject.toml.
  * Add python3-typing-extensions to tests dependencies.
  * Update for renaming *.css_t to *.css.jinja.
  * Override new false positive Lintian errors.
  * Update numbers in debian/jstest/run-tests.
  * Bump required version for searchtools.js in debian/dh-sphinxdoc/index.
  * Suggest texlive-fonts-extra (for fontawesome5 package).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 20 Jul 2024 19:09:09 +0300

sphinx (7.3.7-4) unstable; urgency=medium

  [ Miriam España Acebal ]
  * dh_sphinxdoc: Add quantifier for capture group (?:="defer")
    (closes: #1076969, LP: #2074525).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 30 Jul 2024 12:04:38 +0300

sphinx (7.3.7-3) unstable; urgency=medium

  * Backport upstream patch to fix support for data: URIs in builders that
    do not support them natively (closes: #1073500).
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 03 Jul 2024 10:18:22 +0300

sphinx (7.3.7-2) experimental; urgency=medium

  * Make python3-sphinx depend on python3-defusedxml, needed by
    sphinx.testing.util module.
  * Remove no longer needed test dependencies (thanks Piotr Ożarowski):
    - python3-sphinxcontrib.websupport
    - python3-sqlalchemy
    - python3-whoosh
    - python3-xapian
  * Backport upstream patch to fix tests with Python 3.12.4.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 13 Jun 2024 20:51:07 +0300

sphinx (7.3.7-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - python_3.11.7.diff
    - python_3.12.3.diff
    - reproducible_searchindex.diff
  * Drop skip_tests_network.diff (closes: #1069774).
  * Drop support_old_search_indexes.diff. Bookworm has Sphinx 5.3, so it
    does not make sense to support older indexes anymore.
  * Refresh other patches.
  * Update path of ignored test file in debian/rules.
  * Bump required python3-alabaster version to 0.7.14.
  * Add dvisvgm to test dependencies and Suggests.
  * Add cython3, gcc and python3-all-dev to test dependencies.
  * Add python3-defusedxml to test dependencies.
  * dh_sphinxdoc: Support loading searchindex.js with defer="defer".
  * Install AUTHORS and CHANGES files with .rst extension.
  * Remove debian/python3-sphinx.preinst, no longer needed.
  * Update numbers in debian/jstest/run-tests.
  * Update debian/copyright.
  * dh_sphinxdoc: Bump minimum dependency version for searchtools.js.
  * Update the command to replace links to docutils documentation.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 05 Jun 2024 16:35:21 +0300

sphinx (7.2.6-8) unstable; urgency=medium

  * Backport upstream patch to make searchindex.js deterministic (closes:
    #1071719).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 24 May 2024 16:08:24 +0300

sphinx (7.2.6-7) unstable; urgency=medium

  * Backport upstream patch to fix test failure with Python 3.12.3.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 10 May 2024 21:42:01 +0300

sphinx (7.2.6-6) unstable; urgency=medium

  * Break old versions of python-flask-restful-doc and python-pylatex-doc
    (closes: #1067424).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 22 Mar 2024 00:19:02 +0300

sphinx (7.2.6-5) unstable; urgency=medium

  * Remove unused python3-distutils dependency (closes: #1065959).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 11 Mar 2024 11:29:30 +0300

sphinx (7.2.6-4) unstable; urgency=medium

  * dh_sphinxdoc: Support zzzeeksphinx’ new way of setting content_root.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 11 Feb 2024 20:08:39 +0300

sphinx (7.2.6-3) unstable; urgency=medium

  * Add a patch to fix build with Python 3.11.7+ (closes: #1058303).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 19 Dec 2023 13:34:25 +0300

sphinx (7.2.6-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 05 Nov 2023 15:54:03 +0300

sphinx (7.2.6-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 16 Sep 2023 16:57:25 +0300

sphinx (7.2.5-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, applied upstream:
    - timegm.diff
    - include_normalize_path.diff

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 02 Sep 2023 20:41:15 +0300

sphinx (7.2.3-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - highlight_search_terms.diff
    - dont_hardcode_checksum.diff
    - deterministic_default.diff
  * Refresh and rebase other patches.
  * Bump required python3-pygments version to 2.14.
  * dh_sphinxdoc: Look for content_root data attribute, not url_root.
  * Bump minimum versions in debian/dh-sphinxdoc/index.
  * Update numbers in debian/jstest/run-tests.
  * Amend support_old_search_indexes.diff to also support old search.html
    templates which don't have data-content_root.
  * Add a patch to use calendar.timegm() to convert UTC time to UNIX epoch.
  * Add a patch to make tests pass when run from /tmp.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 26 Aug 2023 23:45:20 +0300

sphinx (7.1.2-2) experimental; urgency=medium

  * Merge 5.3.0-7 upload from unstable.
  * debian/tests/sphinx-doc: Remove no longer needed "export GTK_A11Y=none".
  * Update highlight_search_terms.diff to version which was applied upstream.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 13 Aug 2023 12:55:53 +0300

sphinx (7.1.2-1) experimental; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 03 Aug 2023 12:46:26 +0300

sphinx (7.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch:
    - Support lowercase file name of the tarball.
    - Stop validating signature, PyPI no longer supports them.
  * Refresh patches for the new release.
  * Add a patch to not hardcode expected JS/CSS checksums in tests.
  * Backport upstream patch to avoid using builddir-based path as a default
    value of a function argument (closes: #1025801).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 29 Jul 2023 20:21:49 +0300

sphinx (7.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches:
    - disable_js_version_check.diff (no longer needed)
    - pygments_2.14.diff (included in the new release)
  * Refresh and rebase other patches.
  * Bump required versions: docutils to 0.18.1, requests to 2.25.
  * Update debian/copyright.
  * Remove references to no longer shipped jquery.js and underscore.js.
  * Depend on python3-filelock for tests.
  * Mark python3-html5lib and python3-pytest build-deps as <!nocheck>.
  * dh_sphinxdoc: Generate direct dependencies on libjs-jquery and
    libjs-underscore for packages shipping jquery.js or underscore.js.
  * debian/jstest:
    - Switch from jQuery to native JavaScript API.
    - Update numbers for the new release.
    - Port from WebKitGTK to Qt WebEngine. This will allow us to run tests
      on Debian infrastructure again, as Qt WebEngine does not require
      isolation-machine.
  * Break old versions of sphinx-rtd-theme.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 21 May 2023 19:14:25 +0300

sphinx (5.3.0-7) unstable; urgency=medium

  * Backport upstream patch to fix bad relative path generated by imgmath
    (closes: #1043267).
  * Disable sphinx-doc test on arm64 and armhf.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 12 Aug 2023 00:33:27 +0300

sphinx (5.3.0-6) unstable; urgency=medium

  * Update highlight_search_terms.diff to highlight terms synchronously,
    to make the jstest more stable.
  * Limit sphinx-doc test to architectures where Qt WebEngine is available.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 05 Aug 2023 18:43:13 +0300

sphinx (5.3.0-5) unstable; urgency=medium

  * Add a patch to make test_build_manpage pass with docutils 0.19+dfsg-7.
  * debian/jstest: Port from WebKitGTK to Qt WebEngine. This will allow us
    to run tests on Debian infrastructure again, as Qt WebEngine does not
    require isolation-machine.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 05 Aug 2023 00:07:27 +0300

sphinx (5.3.0-4) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Update highlight_search_terms.diff to fix race condition affecting jstest:
    - Highlight all occurrences, not just the first one.
    - Stop using the old search query from localstorage.
  * Port jstest to the new API from webkit2gtk 2.40 (closes: #1033635,
    LP: #2013095).

  [ Jeremy Bicha ]
  * Set isolation-machine for sphinx-doc autopkgtest. This is needed for web
    process sandbox, which is now mandatory.
  * debian/tests/sphinx-doc: Set export GTK_A11Y=none.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 29 Mar 2023 11:31:27 +0300

sphinx (5.3.0-3) unstable; urgency=medium

  * Backport upstream patch to update tests for Pygments 2.14
    (closes: #1028621).
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 Jan 2023 14:04:03 +0400

sphinx (5.3.0-2) unstable; urgency=medium

  * Build with pybuild-plugin-pyproject (closes: #1025398).
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 05 Dec 2022 21:41:01 +0300

sphinx (5.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebase patches for the new release.
  * Build-depend on flit.
  * Let flit install scripts to /usr/bin and reverse symlinks.
  * Update debian/dh-sphinxdoc/index.
  * Remove sphinx/locale/.tx directory from python3-sphinx.
  * Add a patch to highlight all search terms on search results page.
  * Update numbers in debian/jstest/run-tests.
  * Port jstest to GTK 4.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 25 Oct 2022 17:29:19 +0300

sphinx (5.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 30 Jul 2022 10:45:51 +0300

sphinx (5.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Remove python3-importlib-metadata dependency again.
    No longer needed because Debian dropped support for Python 3.9.
  * Drop no_external_image.diff, indexsidebar.html has been removed.
  * Refresh other patches.
  * Update debian/source/lintian-overrides for Lintian pointed hints.
  * Remove copyright section for no longer shipped porter.py.
  * Update numbers in debian/jstest/run-tests.
  * Bump python3-sphinx-tabs broken version to << 3.4.0.
  * Add Adam Turner's key to debian/upstream/signing-key.asc.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Jul 2022 18:35:01 +0300

sphinx (5.0.2-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches for the new release.
    - Drop definfoenclose.diff, included in the new release.
  * Use utils/babel_runner.py for compiling the translation files.
  * Update debian/dh-sphinxdoc/index for the new version:
    - Add _sphinx_javascript_frameworks_compat.js.
    - Bump min-version to 5.0 for JS files that changed significantly.
  * Parse the whole Search.setIndex argument as JSON.
  * Add Sphinx.egg-info/entry_points.txt to debian/clean.
  * Run JS tests with a real GTK window. Searchtools.js relies on setTimeout
    to load every new search result, and WebKitGTK sets timeout to 1 second
    after 5th request when the page is invisible. We have many search results,
    so we get a timeout error unless we make it visible.
  * Update numbers in debian/jstest/run-tests.
  * Update debian/copyright.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 16 Jun 2022 20:56:55 +0300

sphinx (4.5.0-4) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream patch to stop using @definfoenclose texinfo command
    (closes: #996151).
  * Update jstest to use WebKit2 4.1.

  [ Simon Chopin ]
  * Use full JSON unescaping in file names

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 16 Jun 2022 19:37:25 +0300

sphinx (4.5.0-3) unstable; urgency=medium

  * Hotfix: move python3-importlib-metadata from Suggests to Depends.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 15 Apr 2022 19:31:16 +0300

sphinx (4.5.0-2) unstable; urgency=medium

  * Depend on python3-importlib-metadata, needed because we still support
    Python 3.9 (closes: #1009382, #1009434, #1009445).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 15 Apr 2022 14:21:33 +0300

sphinx (4.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches for the new release.
  * dh_sphinxdoc: Unescape unicode in file names (closes: #1008504).
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 02 Apr 2022 16:32:51 +0300

sphinx (4.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Remove debian/py3dist-overrides. Sphinx no longer uses pkg_resources.
  * Amend intersphinx_local.diff to remove cross-references to ReadTheDocs.
  * Refresh other patches.
  * Update numbers in debian/jstest/run-tests.
  * Add python3-setuptools to tests dependencies.
  * Bump upstream copyright years in debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 18 Jan 2022 14:17:46 +0300

sphinx (4.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 19 Dec 2021 15:55:13 +0300

sphinx (4.3.1-2) unstable; urgency=medium

  * dh_sphinxdoc:
    - Stop taking Python 2 version of alabaster into account.
    - Generate dependency on libjs-sphinxdoc ≥ 4.3 for searchtools.js.
    - Loosen regex to detect searchindex.js loading (closes: #1001521).
  * Add a patch to make searchtools.js support pre-4.3 search indexes
    (closes: #1001509).
  * Add Sphinx.egg-info/requires.txt and .mo files to debian/clean.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 12 Dec 2021 21:44:32 +0300

sphinx (4.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop reproducible_restify.diff, applied in the new release.
  * Refresh debian/patches/skip_tests_jsmath.diff.
  * Update numbers in debian/jstest/run-tests.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 27 Nov 2021 19:22:23 +0300

sphinx (4.2.0-5) unstable; urgency=medium

  * Remove Built-Using field from sphinx-doc. We do not incorporate any parts
    of other source packages during sphinx-doc build.
  * Run wrap-and-sort.
  * Add a patch to make util.typing.restify sanitize unreproducible output
    (closes: #996948). Thanks Chris Lamb!
  * Update debian/source/lintian-overrides for Lintian 2.109.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Oct 2021 14:21:42 +0300

sphinx (4.2.0-4) unstable; urgency=medium

  * Team upload.
  * Add new breaks on sphinx-tabs << 3.2.0

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 10 Oct 2021 13:20:27 +0200

sphinx (4.2.0-3) unstable; urgency=medium

  * Team upload.
  * Add new breaks on nbsphinx << 0.8.7
  * d/control: make use of ${perl:Depends} in sphinx-common and
    ${sphinxdoc:Built-Using} in sphinx-doc
  * Add salsa-ci file (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 09 Oct 2021 09:21:02 +0200

sphinx (4.2.0-2) unstable; urgency=medium

  * Upload to unstable (closes: #994114).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 25 Sep 2021 21:33:30 +0300

sphinx (4.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Refresh debian/patches/remove_contrib_references.diff.
  * Update numbers in debian/jstest/run-tests for the new release.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 12 Sep 2021 15:43:21 +0300

sphinx (4.1.2-1) experimental; urgency=medium

  * New upstream release.
  * Refresh debian/patches/skip_tests_network.diff.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 27 Jul 2021 20:24:27 +0300

sphinx (4.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches for the new release.
  * debian/jstest/run-tests: Update number of highlights for “examples”.
  * Break python3-sphinxcontrib.serializinghtml < 1.1.5.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 15 Jul 2021 13:59:17 +0300

sphinx (4.0.3-1) experimental; urgency=medium

  * New upstream release.
  * dh_sphinxdoc: Use the last definition of DOCUMENTATION_OPTIONS, if
    there are several of them.
  * Refresh move_sphinxcontrib_to_extras_require.diff.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 10 Jul 2021 13:35:22 +0300

sphinx (4.0.2-1) experimental; urgency=medium

  * New upstream release.
  * Refresh move_sphinxcontrib_to_extras_require.diff.
  * Revert the old build path in debian/sphinx-common.manpages.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 21 May 2021 20:15:43 +0300

sphinx (4.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches for the new release.
  * Bump required python3-docutils version to 0.14.
  * Add tex-gyre to Build-Depends, Suggests and autopkgtest dependencies.
  * Update debian/sphinx-common.manpages for the new build path.
  * Update numbers in debian/jstest/run-tests for the new release.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 10 May 2021 21:35:39 +0300

sphinx (3.5.4-2) unstable; urgency=medium

  * dh_sphinxdoc: Use the last definition of DOCUMENTATION_OPTIONS, if
    there are several of them.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 21 Aug 2021 22:05:35 +0300

sphinx (3.5.4-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches for the new release.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Apr 2021 15:16:49 +0300

sphinx (3.5.3-1) experimental; urgency=medium

  * New upstream release.
  * Merge 3.4.3-2 upload from unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 20 Mar 2021 21:17:18 +0300

sphinx (3.5.2-1) experimental; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 06 Mar 2021 20:10:53 +0300

sphinx (3.5.1-2) experimental; urgency=medium

  * Move the minified stemmer JS files to the correct location.
  * Document the license of stemmer JS files in debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 23 Feb 2021 20:08:47 +0300

sphinx (3.5.1-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches for the new release.
  * Override Lintian source-is-missing warnings about stemmer JS files.
  * Add debian/upstream/metadata file.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 16 Feb 2021 20:11:51 +0300

sphinx (3.4.3-2) unstable; urgency=medium

  * dh_sphinxdoc: Fix the script tag regex used in singlehtml detection
    (closes: #983858).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 08 Mar 2021 21:40:25 +0300

sphinx (3.4.3-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 08 Jan 2021 20:11:19 +0300

sphinx (3.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump upstream copyright years in debian/copyright.
  * Update debian/watch to version 4.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 04 Jan 2021 20:17:45 +0300

sphinx (3.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 26 Dec 2020 11:47:43 +0300

sphinx (3.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebase patches for the new release.
  * Use packaged inventory from python-requests-doc.
  * Stop exporting http_proxy for the python3-sphinx autopkgtest.
    It breaks linkcheck tests which start a local HTTP server thread.
    - Do not skip test_raises_for_invalid_status anymore.
    - Skip test_build_sphinx_return_nonzero_status. It fails if trying to
      access localhost.unexistentdomain results in 503 Server Error from
      the proxy server.
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 22 Dec 2020 15:16:26 +0300

sphinx (3.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop pygments_2.7.diff, included in the new release.
  * Refresh other patches.
  * Remove python3-sphinx.lintian-overrides, not needed with Lintian 2.92.
  * Add test_raises_for_invalid_status to skip_tests_network.diff.
  * Replace no_require_setuptools.diff with a debian/py3dist-overrides file.
    That is a more compact way to specify that we do not need setuptools.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 12 Nov 2020 20:05:30 +0300

sphinx (3.2.1-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Drop no_snowballstemmer.diff and use python3-snowballstemmer as
    upstream does, now that it is properly packaged.
  * Backport upstream commit to make the tests pass with Pygments 2.7.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 10 Oct 2020 20:13:16 +0300

sphinx (3.2.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes crashes when documenting extension modules (closes: #966983).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 14 Aug 2020 14:06:07 +0300

sphinx (3.2.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Fix day-of-week for changelog entry 0.6.1-1.

  [ Dmitry Shachnev ]
  * Merge 2.4.3-5 upload from unstable.
  * Make dh_sphinxdoc generate stricter dependencies on libjs-sphinxdoc.
  * New upstream release.
  * Refresh patches for the new release.
  * Update numbers in debian/jstest/run-tests for the new release.
  * Remove python3-typed-ast from Build-Depends and tests dependencies,
    now that we no longer need to test with Python 3.7.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 09 Aug 2020 14:41:55 +0300

sphinx (3.1.2-1) experimental; urgency=medium

  * Bump python3-breathe Breaks to 4.15 (closes: #963653).
  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 06 Jul 2020 21:57:28 +0300

sphinx (3.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 21 Jun 2020 14:26:39 +0300

sphinx (3.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches for the new release.
  * Specify Rules-Requires-Root: no.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 09 Jun 2020 20:27:18 +0300

sphinx (3.0.4-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - html5_docs.diff
    - no_evaluate_debug.diff
    - no_debug.diff
    - autodoc_skip_mocked.diff
  * Refresh and rebase other patches.
  * Update numbers in debian/jstest/run-tests for the new release.
  * Update the package description.
    - Recommend build-depending on the new sphinx virtual package.
  * Add a patch to use packaged intersphinx inventory for Python API.
    - Also make sphinx-doc depend on python3-doc.
  * Update to debhelper compat level 13.
  * Stop excluding test_websupport.py which no longer exists.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 02 Jun 2020 13:08:36 +0300

sphinx (2.4.3-5) unstable; urgency=medium

  * dh_sphinxdoc improvements:
    - Make defer attribute of searchindex.js optional (closes: #966979).
    - Allow for trailing whitespace in script src attribute, it is allowed
      by the HTML specification.
    - Add support for symlinking language_data.js for English (see #964013).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 04 Aug 2020 21:52:28 +0300

sphinx (2.4.3-4) unstable; urgency=medium

  * Update autodoc_skip_mocked.diff to use safe_getattr instead of plain
    getattr (based on upstream PR #7520). See #959558.
  * Update the package description.
    - Recommend build-depending on the new sphinx virtual package.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 03 Jun 2020 11:32:20 +0300

sphinx (2.4.3-3) unstable; urgency=medium

  * Break python3-sphinx-celery < 2.0.0 (closes: #958985).
  * Export http_proxy=http://127.0.0.1:9/ when running the autopkgtest.
  * Make autodoc skip mocked objects (closes: #959558).
  * Stop using alternatives, ship /usr/bin/sphinx-* symlinks directly.
  * Make python3-sphinx provide sphinx virtual package (see #961206).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 28 May 2020 11:51:15 +0300

sphinx (2.4.3-2) unstable; urgency=medium

  * Simplify debian/patches/html5_docs.diff for the new release.
  * Break python3-breathe < 4.13 (closes: #955569).
  * Backport two upstream patches to fix performance issues because of
    debug calls.
  * Clean up debian/clean, remove files no longer present upstream.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Apr 2020 16:07:18 +0300

sphinx (2.4.3-1) experimental; urgency=medium

  * New upstream release.
  * Update to debhelper compat level 12.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 26 Feb 2020 12:03:03 +0300

sphinx (2.4.1-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Refresh patches for the new release.
  * Depend on python3-typed-ast to make the tests pass with Python 3.7.
  * dh_sphinxdoc: Add support for script tags without type="text/javascript".
  * dh_sphinxdoc: Do not warn about sidebar.js file.
  * Update numbers in debian/jstest/run-tests for the new release.

  [ Michael R. Crusoe ]
  * Mark the -doc and -common binary packages as Multi-Arch: foreign.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 17 Feb 2020 11:59:57 +0300

sphinx (2.3.1-1) experimental; urgency=medium

  [ Christoph Berg ]
  * New upstream version 2.2.0.
  * Remove obsolete patches: no_require_websupport.diff,
    python2_test_get_module_source.diff, reproducible_download.diff,
    docutils_0.15.diff, remove_websupport_assets.diff.

  [ Dmitry Shachnev ]
  * New upstream version 2.3.1 (closes: #944913).
  * Drop no_spaces_in_hyphenated_words.diff, applied in the new release.
  * Drop debian/patches/python2_tests_import_hack.diff, this version of
    Sphinx no longer supports Python 2.
  * Refresh other patches.
  * Drop Python 2 support from packaging.
  * Update dependencies according to upstream setup.py:
    - Bump required docutils version to 0.12.
    - Bump required requests version to 2.5.0.
    - Remove six from dependencies.
    - Remove mock from tests dependencies.
  * Patch out references to sphinxcontrib modules.
  * Skip tests that require sphinxcontrib.jsmath module.
  * Update dh_sphinxdoc for the new searchindex.js loading scheme.
  * Use packaged MathJax for sphinx-doc.
  * Build-Depend on and suggest fonts-freefont. The LaTeX writer now uses
    this font for xelatex and lualatex.
  * Update numbers in debian/jstest/run-tests for the new release.
  * Skip tests that require sphinxcontrib.serializinghtml module (they were
    run only during autopkgtest).
  * Move sphinxcontrib modules to extras_require.
  * Move python3-lib2to3 from Depends to Suggests.
  * Update the Homepage field to use https.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 07 Feb 2020 14:15:40 +0300

sphinx (1.8.5-9) unstable; urgency=medium

  * Drop two python2 patches, no longer needed.
  * jstest: Enable writing console messages to stdout.
  * Make Sphinx' documentation use HTML 5 instead of XHTML, to fix WebKitGTK
    parsing errors with shared-mime-info ≥ 0.11 (LP: #1871610).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 09 Apr 2020 15:36:45 +0300

sphinx (1.8.5-8) unstable; urgency=medium

  * Drop Python 2 support; Closes: #938528

 -- Sandro Tosi <morph@debian.org>  Fri, 27 Mar 2020 12:40:09 -0400

sphinx (1.8.5-7) unstable; urgency=medium

  * Make the autopkgtest depend on python3-all, and use py3versions -s
    instead of -i.
  * Update to debhelper compat level 12.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 20 Mar 2020 14:33:53 +0300

sphinx (1.8.5-6) unstable; urgency=medium

  * Update dh_sphinxdoc for the new searchindex.js loading scheme
    (closes: #953567).
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 Mar 2020 12:11:42 +0300

sphinx (1.8.5-5) unstable; urgency=medium

  * Make sphinx-common provide dh-sequence-sphinxdoc (closes: #946899).
  * Drop python-sphinxcontrib.websupport from autopkgtest dependencies,
    to allow for its removal.
  * Backport upstream patch to fix crashes with docutils 0.16.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 12 Jan 2020 17:01:00 +0300

sphinx (1.8.5-4) unstable; urgency=medium

  * Remove extra underscore character from debian/sphinx-doc.doc-base.
  * Run sphinx-doc autopkgtest on all architectures again (bug #931807 has
    been fixed).
  * Stop installing static files for websupport. These files are already
    shipped by python[3]-sphinxcontrib.websupport, and there is no need to
    have them in all -doc packages that do not use websupport.
  * Backport upstream patch to fix spaces being added to hyphenated words
    with text writer (closes: #944331).
  * Add some generated files to debian/clean.
  * Bump Standards-Version to 4.4.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 05 Dec 2019 14:18:02 +0300

sphinx (1.8.5-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Dmitry Shachnev ]
  * Suggest texlive-plain-generic instead of texlive-generic-extra.
    The latter package is no longer built, and iftex.sty is now shipped by
    the former package.
  * Backport upstream patch to fix test failure with docutils 0.15.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 16 Aug 2019 22:08:42 +0300

sphinx (1.8.5-2) unstable; urgency=medium

  * Update debian/.gitlab-ci.yml to use salsa-pipeline.
  * Add a patch to make generated download links reproducible.
  * Skip sphinx-doc autopkgtest on ppc64el and s390x (because of #931807).
    Based on a change applied by Dimitri John Ledkov in Ubuntu.
  * Bump Standards-Version to 4.4.0, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 14 Jul 2019 17:40:25 +0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog sphinx-doc`.
